/***********************************************************************/
/*                                                                     */
/*  FILE        :hwsetup.c                                             */
/*                                                                     */
/***********************************************************************/
/************************************************************************
*
* Device     : RX/RX600/RX62TRX220ɕύX
*
* File Name  : hwsetup.c
*
* Abstract   : Hardware Setup file.
*
* History    : 1.00  (2012-06-12)  [Hardware Manual Revision : 1.00]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2012 Renesas Electronics Corporation and
* Renesas Solutions Corp. All rights reserved.
*
************************************************************************/
#include "main.h"
/********************************************************************
	֐	fnWatchDog
		Ȃ
	߂l	Ȃ
		EHb`hbOppX
********************************************************************/
void fnWatchDog(void){
}
/********************************************************************
	֐	fnCmt0Timer
		Ȃ
	߂l	Ȃ
		Timer
********************************************************************/
/*1mS*/
void	fnCmt0Timer(void){
	if(--iComTxTimer<0) iComTxTimer=0;
	if(--iData1Timer<0) iData1Timer=0;
	if(--iDemo1Timer<0) iDemo1Timer=0;
	if(--iDemo2Timer<0) iDemo2Timer=0;
	if(--iDemo3Timer<0) iDemo3Timer=0;

	PORTH.PODR.BYTE=0x01;
	PORTH.PODR.BYTE=0x02;
}
void	fnCmt1Timer(void){
}

void	fnTimer(unsigned int uiTime)
{
	unsigned int uiT1,uiT2;

	for(uiT1=0;uiT1<uiTime;uiT1++){
		for(uiT2=0;uiT2<30000;uiT2++){
				;
		}
	}
}
/******************************************************************************
Function Name:		 HardwareSetup
Parameters: 		 -
Return value:		 -
Description:		 IO and peripheral control.
******************************************************************************/
void HardwareSetup(void)
{

	SYSTEM.PRCR.WORD = 0xA50B;			// veNgWX^

	// ͊ONbN20MHz
	SYSTEM.SCKCR.BIT.PCKD=0;/*PCLKD:1*/
	SYSTEM.SCKCR.BIT.PCKB=1;/*PCLKB:2*/
	SYSTEM.SCKCR.BIT.BCK=0;/*BCK:1*/
	SYSTEM.SCKCR.BIT.ICK=0;/*ICK:1*/
	SYSTEM.SCKCR.BIT.FCK=0;/*FCK:1*/
	SYSTEM.SCKCR3.WORD=0x0200;/*CNbN20MHzgp*/


	SYSTEM.MOSCCR.BYTE = 0x00;			// CNbNU
	SYSTEM.SOSCCR.BYTE = 0x00;			// TuNbNU

}
/********************************************************************
	֐
		fnHardware
	
		Ȃ
	߂l
		Ȃ
	
		CPUѓӃW[̏ōs
		CPUɊOt̃n[hEFA͂ł͍sȂ̂
		ʓr邱
		CPUN1x̊֐Ă
********************************************************************/
void	fnHardwareInit(void){

	HardwareSetup();

	/* ̧ݸݺ۰ */
	/*݋*/
	MPC.PWPR.BIT.B0WI = 0;
	MPC.PWPR.BIT.PFSWE = 1;
	
	MPC.P26PFS.BYTE = 0x0a;//TxD1
	MPC.P30PFS.BYTE = 0x0a;//RxD1

	MPC.PWPR.BIT.PFSWE = 0;
	MPC.PWPR.BIT.B0WI = 1;
	/*݋֎~*/
	/* ߰ēo͐ݒ */
/*|[g*/
	PORT2.PMR.BYTE = 0x40;/*0:ó@1:Ӌ@\*/
	PORT2.PDR.BYTE = 0x40;/*0:́@1:o */
	PORT3.PMR.BYTE = 0x01;/*0:ó@1:Ӌ@\*/

	/* ߱ϯ CMT 1msec */
	SYSTEM.PRCR.WORD = 0xA502;			// veNgWX^
	SYSTEM.MSTPCRA.BIT.MSTPA15 = 0;		// CMT0,1 Ӽޭٽ޲
	ICU.IER[IER_CMT0_CMI0].BIT.IEN4 = 1;/*CMT0 荞݋*/
	//20M
	CMT0.CMCR.WORD = 0x00c0; 		// ߱ϯϺİ/ðڼ޽ CMCSR ߱ϯ݋ P/8
	CMT0.CMCOR = 1249;			// ߱ϯݽڼ޽ CMCOR 1msec

	ICU.IPR[IPR_CMT0_].BYTE = 15;			// 15
	CMT.CMSTR0.BIT.STR0 = 0x1;		// ߱ϯϽڼ޽ CMSTR ߱ϯ0 

	/*Sciݒ*/
	fnInitSci1();

}
/********************************************************************
	֐
		fnVariableInit
	
		Ȃ
	߂l
		Ȃ
	
		Oϐ̏ōs
		CPUN1x̊֐Ă
********************************************************************/
void	fnVariableInit(void){
}
